package de.intevation.gnv.chart;

import java.util.Collection;
import java.util.Locale;

import de.intevation.gnv.chart.ChartLabels;
import de.intevation.gnv.geobackend.base.Result;

import org.apache.log4j.Logger;

import org.jfree.chart.ChartTheme;
import org.jfree.data.general.Series;

/**
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 */
public class HorizontalCrossProfileChart
extends      HorizontalProfileChart
{
    private static Logger log = Logger.getLogger(HorizontalCrossProfileChart.class);

    public HorizontalCrossProfileChart(
        ChartLabels labels,
        ChartTheme  theme,
        Collection  parameters,
        Collection  measurements,
        Collection  dates,
        Collection  result,
        Collection  timeGaps,
        Locale      locale,
        boolean     linesVisible,
        boolean     shapesVisible
    ) {
        super(
            labels,
            theme,
            parameters,
            measurements,
            dates,
            result,
            timeGaps,
            locale,
            linesVisible,
            shapesVisible
        );
    }


    @Override
    protected void gapDetection(
        Result[] results,
        Series   series,
        int      startPos,
        int      endPos
    ) {
        // nothing to do here, gap detection is done in interpolation
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
